const PlayerStateStatic = require('PlayerState');
var BarrierSuperClass = require("BarrierSuper");
cc.Class({
    extends:BarrierSuperClass,

    properties: {

    },

    start: function () {

    },

    onCollisionEnter: function (other,self) {
        // cc.log("装了吗",other.tag,self.tag);
        if(other.node.name === 'PlayerCollisionLine')
        {
            var PlayerCollisionLine = other.getComponent("PlayerCollisionLine");
            var PlayerStateScript = PlayerCollisionLine.Hero.getComponent("PlayerState");
            PlayerStateScript.CurrentInZoneType = PlayerStateStatic.ZoneType.PerfectLongJumpBand;

            // cc.log(PlayerStateScript.CurrentInZoneType );
        }

    },
    onCollisionStay: function (other,self) {
    },
    onCollisionExit: function (other,self)
    {

    }
});
